#pragma once
#include "Keyboard.h"

class XcbKeyboard : public Keyboard
{
public:
    XcbKeyboard();

    static std::unique_ptr<XcbKeyboard> Create();

    std::string GetKeyString(KeyCode keyCode) override;
};

using XcbKeyboardUPtr = std::unique_ptr<XcbKeyboard>;
